<?php

//Clase de mANTENIMIENTO NOMINA
class clase{
  	var  $no_reg = '0';
	var  $nom_tabla = '0';
  	var  $cve_nomi = '0';
	var  $no_nomi = '0';
	var  $no_nomina = '0';
	var  $operac = '0';
	var  $no_pd = '0';
	var  $can_mov = '0';
	var  $imp_mov = '0';
	var  $cve_mae = '0';
	var  $imp_gra_isp = '0';
	var  $imp_exe_isp = '0';
	var  $imp_gra_ims = '0';
	var  $imp_exe_ims = '0';
	var  $inf_perc = '0';
	var  $no_depto = '0';
	var  $area = '0';
	var  $usuario = '0';
	var  $axo_pro = '0';
	var  $mes_pro = '0';	
	//constructor
	function clase($nomtabla,$axopro,$cvenomi,$nonomina,$usu){
		$this->cve_nomi = $cvenomi;
		$this->nom_tabla = $nomtabla;
		//$this->no_nomi = $nonomi;
		$this->no_nomina = $nonomina;
		$this->usuario = $usu;
		$this->axo_pro = $axopro;
		//$this->mes_pro = $mespro;
	}
	
	//Funcion cuenta registros	
	function conReg(){
		$sql="select * from dndatnom where tip_nom ='$this->cve_nomi' and no_nom in(select no_nomina from $this->nom_tabla where axo_pro = '$this->axo_pro' GROUP BY no_nomina)";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result);
		if($num_salidas>=0){
			return $num_salidas;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}

	//Funcion de Agregar
	function agregar($operac,$no_pd,$can_mov,$imp_mov,$cve_mae,$imp_gra_isp,$imp_exe_isp,$imp_gra_ims,$imp_exe_ims,$inf_perc,$no_depto,$area){
		$sql = "insert into $this->nom_tabla (cve_nomi, no_nomi, no_nomina, operac, no_pd, can_mov, imp_mov, cve_mae, imp_gra_isp, imp_exe_isp, imp_gra_ims, imp_exe_ims, inf_perc, no_depto, area, axo_pro, mes_pro, fec_acc, hor_acc, usuario) values('$this->cve_nomi', '$this->no_nomi', '$this->no_nomina', '$operac', '$no_pd', '$can_mov', '$imp_mov', '$cve_mae', '$imp_gra_isp', '$imp_exe_isp', '$imp_gra_ims', '$imp_exe_ims', '$inf_perc', '$no_depto','$area','$this->axo_pro','$this->mes_pro','" .date('Y-m-d'). "','".date('H:i:s')."','$this->usuario')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	
	//Funcion de Lista Completa
	function listaElem(){
		$sql="select * from dndatnom where tip_nom ='$this->cve_nomi' and no_nom in(select no_nomina from $this->nom_tabla where axo_pro = '$this->axo_pro' GROUP BY no_nomina) order by depto";
		//$sql = "SELECT * FROM $this->nom_tabla WHERE cve_nomi = '$this->cve_nomi' and no_nomi = '$this->no_nomi' and axo_pro ='$this->axo_pro' and mes_pro='$this->mes_pro' ";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";  
	}
//Funcion de Lista con Busqueda
	function listaBusq(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE no_nomina = '$this->no_nomina' and axo_pro ='$this->axo_pro' order by operac asc, no_pd asc";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
	//Funcion de lista con busqueda registro
	function lstBusqElem($noreg){
		$sql = "SELECT * FROM $this->nom_tabla WHERE no_nomina = '$this->no_nomina' and no_reg='$noreg' and axo_pro ='$this->axo_pro'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista)
			return $lista;
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
		return "$error()";   
	}
//Funcion de Modificar
	function modifica($noreg,$operac,$no_pd,$can_mov,$imp_mov,$cve_mae,$imp_gra_isp,$imp_exe_isp,$imp_gra_ims,$imp_exe_ims,$inf_perc,$no_depto,$area){
		$sql = "update $this->nom_tabla set operac = '$operac', no_pd = '$no_pd', can_mov = '$can_mov', imp_mov = '$imp_mov', cve_mae = '$cve_mae', imp_gra_isp = '$imp_gra_isp', imp_exe_isp = '$imp_exe_isp', imp_gra_ims = '$imp_gra_ims', imp_exe_ims = '$imp_exe_ims', inf_perc = '$inf_perc', no_depto = '$no_depto', area = '$area', fec_acc ='" .date('Y-m-d'). "',hor_acc='".date('H:i:s')."',usuario='$this->usuario' where no_reg = '$noreg' and axo_pro = '$this->axo_pro' and mes_pro = '$this->mes_pro'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($noreg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE cve_nomi = '$this->cve_nomi' and no_nomi = '$this->no_nomi' and no_nomina = '$this->no_nomina' and no_reg = '$noreg' and axo_pro ='$this->axo_pro'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado)
			return "ok";
		else
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";         
	}
	
	function modEmp($emp){
		$this->no_nomina=$emp;
	}  
	function getEmp(){
		return $this->no_nomina;
	}    
}       
?>